import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;
import java.net.*;

public class MouseOver extends Applet
		implements MouseListener, MouseMotionListener {

    AudioClip ac = null;
	Image[] imgs = new Image[2];
	int imgnum = 0;
	String link;

	public void init() {
		link = getParameter("link_url");
		String sound = getParameter("sound");
		String img_default = getParameter("img_default");
		String img_hilight = getParameter("img_hilight");

        setBackground(Color.white);
        addMouseMotionListener(this);
		addMouseListener(this);

		ac = getAudioClip(getDocumentBase(), sound);

		imgs[0] = getImage(getDocumentBase(), img_default);
		imgs[1] = getImage(getDocumentBase(), img_hilight);
	}


    public void paint(Graphics g) {
		g.drawImage(imgs[imgnum], 0, 0, this);
    }


	public void mouseEntered(MouseEvent evt){
		showStatus(link);
		ac.play();
		imgnum=1;
		repaint();
	}

	public void mouseExited(MouseEvent evt) {
		imgnum=0;
		repaint();
	}


	// Handles the event of the user pressing down the mouse button.
	public void mousePressed(MouseEvent evt) {

		try {
			getAppletContext().showDocument(new URL(getDocumentBase(), link));
		} catch (MalformedURLException e) {  System.err.println("ERROR: " +e);  }

	}

    // Handles the event of a user dragging the mouse while holding down the mouse button.
	public void mouseDragged(MouseEvent evt) {
	}

	// Handles the event of a user releasing the mouse button.
	public void mouseReleased(MouseEvent evt) {
	}

  	// This method required by MouseListener.
   	public void mouseMoved(MouseEvent evt) {
	}

   	// These methods are required by MouseMotionListener.
   	public void mouseClicked(MouseEvent evt) {
	}


}
